Subject: Re: Getting a branch's time of creation

From: [email-masked] (Randal L. Schwartz)
Date: Wed, 17 Mar 2010 09:32:04 -0700

>>>>> "jateeq" == jateeq  <[email-masked]> writes:

jateeq> I am trying to find the time at which a remote branch was created, so
jateeq> that I can use the '--since' option in git log to limit the commits to
jateeq> only ones that were created for that branch (read below to see why I
jateeq> can't use 'git log <branchnname>). So my question: does git remember
jateeq> the time at which a branch was created, and how can it be listed?

You're probably looking for the commit at the common ancestor
of a given branch (which is a point, not a line, remember) and a branch
you're interested in, like maybe "master".

consider something like:

git log $(git merge-base origin/somebranch origin/master)..origin/master

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.vox.com/ for Smalltalk and Seaside discussion